# $Revision: 1.175.2.3 $, $Date: 2011/10/12 08:05:57 $
#
# Conditional build:
%bcond_with	advcopy	# progress bar in cp (orphaned patch)
%bcond_without	tests	# do not perform "make test check"
#
Summary:	GNU Core-utils - basic command line utilities
Summary(pl.UTF-8):	GNU Core-utils - podstawowe narzędzia działające z linii poleceń
Name:		coreutils
Version:	8.10
Release:	4
License:	GPL v3+
Group:		Applications/System
Source0:	http://ftp.gnu.org/gnu/coreutils/%{name}-%{version}.tar.xz
# Source0-md5:	4bb81c051da6e5436fc1ad9a67ae44fe
Source1:	%{name}-non-english-man-pages.tar.bz2
# Source1-md5:	f7c986ebc74ccb8d08ed70141063f14c
Source2:	DIR_COLORS
Source3:	fileutils.sh
Source4:	fileutils.csh
Source5:	su.pamd
Source6:	su-l.pamd
Source7:	runuser.pamd
Source8:	runuser-l.pamd
Source9:	mktemp.1.pl
Patch0:		%{name}-info.patch
Patch1:		%{name}-pam.patch
Patch2:		%{name}-getgid.patch
Patch3:		%{name}-su-paths.patch
Patch4:		%{name}-uname-cpuinfo.patch
Patch5:		%{name}-date-man.patch
Patch6:		%{name}-mem.patch
Patch7:		%{name}-7.4-sttytcsadrain.patch
Patch8:		inotify.patch
Patch9:		%{name}-fmt-wchars.patch
Patch10:	%{name}-runuser.patch
Patch11:	%{name}-split-pam.patch
Patch12:	%{name}-sparc64.patch
# http://translationproject.org/latest/coreutils/pl.po (pass through msgcat to generate shorter diff)
Patch13:	%{name}-pl.po-update.patch
# from http://www.beatex.org/web/advancedcopy.html, edited by shadzik
Patch14:	%{name}-advcopy.patch
URL:		http://www.gnu.org/software/coreutils/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11.1
BuildRequires:	gcc >= 5:3.2
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	glibc-headers >= 6:2.3.6-17
BuildRequires:	gmp-devel
BuildRequires:	help2man
BuildRequires:	libcap-devel
BuildRequires:	libselinux-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(find_lang) >= 1.24
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo >= 4.2
BuildRequires:	xz
Requires:	pam >= 0.77.3
Requires:	setup >= 2.4.6-2
Provides:	coreutils-su
Provides:	fileutils
Provides:	mktemp = %{version}-%{release}
Provides:	sh-utils
Provides:	stat
Provides:	textutils
Obsoletes:	coreutils-su
Obsoletes:	fileutils
Obsoletes:	mktemp
Obsoletes:	sh-utils
Obsoletes:	stat
Obsoletes:	textutils
Conflicts:	shadow < 1:4.0.3-6
Conflicts:	tetex < 1:2.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
These are the GNU core utilities. This package is the union of the GNU
fileutils, sh-utils, and textutils packages.

Most of these programs have significant advantages over their Unix
counterparts, such as greater speed, additional options, and fewer
arbitrary limits.

The programs that can be built with this package are:

  [ basename cat chgrp chmod chown chroot cksum comm cp csplit cut date
  dd df dir dircolors dirname du echo env expand expr factor false fmt
  fold install groups head hostid id join link ln logname ls md5sum
  mkdir mkfifo mknod mv nice nl nohup od paste pathchk pinky pr printenv
  printf ptx pwd rm rmdir runuser seq sha1sum shred sleep sort split
  stat stty su sum sync tac tail tee test touch tr true tsort tty uname
  unexpand uniq unlink users vdir wc who whoami yes

%description -l pl.UTF-8
Narzędzia podstawowe (core utilities) GNU to połączone paczki GNU
fileutils, sh-utils i textutils.

Większość z zawartych programów jest znacznie ulepszona w porównaniu
z ich uniksowymi odpowiednikami, np. szybciej działają, mają dodatkowe
opcje i mniej ograniczeń.

Programy zawarte w tym pakiecie to:

  [ basename cat chgrp chmod chown chroot cksum comm cp csplit cut date
  dd df dir dircolors dirname du echo env expand expr factor false fmt
  fold ginstall groups head hostid id join link ln logname ls md5sum
  mkdir mkfifo mknod mv nice nl nohup od paste pathchk pinky pr printenv
  printf ptx pwd rm rmdir runuser seq sha1sum shred sleep sort split
  stat stty su sum sync tac tail tee test touch tr true tsort tty uname
  unexpand uniq unlink users vdir wc who whoami yes

%prep
%setup -q -a1
%patch13 -p1
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%ifarch sparc64
%patch12 -p1
%endif
%if %{with advcopy}
# progress-bar patch, -g,--progress-bar //if in doubt, comment it out
%patch14 -p1
%endif

%{__perl} -pi -e 's@GNU/Linux@PLD Linux@' m4/host-os.m4

# allow rebuilding *.gmo
%{__rm} po/stamp-po

# fails under C locale:
# LC_ALL=C echo -e "ça\nçb\n"|LC_ALL=C fmt -p 'ç'
# fmt: memory exhausted
%{__sed} -i -e 25,27d tests/misc/fmt

# /etc/resolv.conf is blocked in pld builders, try some other file
%{__sed} -i -e 's,/etc/resolv.conf,/etc/hosts,' gnulib-tests/test-read-file.c

# getgid needs to be fixed:
# getgid: missing operand
# Try `getgid --help' for more information.
%{__rm} tests/misc/help-version
%{__sed} -i -e '/misc\/help-version/d' tests/Makefile.am

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	CFLAGS="%{rpmcflags} -DSYSLOG_SUCCESS -DSYSLOG_FAILURE -DSYSLOG_NON_ROOT" \
	DEFAULT_POSIX2_VERSION=199209 \
	--disable-silent-rules \
	--enable-no-install-program=hostname,kill,uptime \
	--enable-pam

%{__make}

%{?with_tests:%{__make} -j1 tests check}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/bin,/sbin,%{_bindir},%{_sbindir},/etc/pam.d,/etc/shrc.d}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT%{_bindir}/{basename,cat,chgrp,chmod,chown,cp,date,dd,\
df,echo,false,id,link,ln,ls,mkdir,mknod,mktemp,mv,nice,printf,pwd,rm,rmdir,\
sleep,sort,stat,stty,sync,touch,true,unlink,uname} $RPM_BUILD_ROOT/bin

mv -f $RPM_BUILD_ROOT%{_bindir}/chroot $RPM_BUILD_ROOT%{_sbindir}

# su is missed by "make install" called by non-root
install -p src/su $RPM_BUILD_ROOT/bin
install -p src/runuser $RPM_BUILD_ROOT/sbin

cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE3} %{SOURCE4} $RPM_BUILD_ROOT/etc/shrc.d
cp -p %{SOURCE5} $RPM_BUILD_ROOT/etc/pam.d/su
cp -p %{SOURCE6} $RPM_BUILD_ROOT/etc/pam.d/su-l
cp -p %{SOURCE7} $RPM_BUILD_ROOT/etc/pam.d/runuser
cp -p %{SOURCE8} $RPM_BUILD_ROOT/etc/pam.d/runuser-l

cp -a man/pt_BR man/pt
for d in cs da de es fi fr hu id it ja ko nl pl pt ru zh_CN; do
	install -d $RPM_BUILD_ROOT%{_mandir}/$d/man1
	cp -p man/$d/*.1 $RPM_BUILD_ROOT%{_mandir}/$d/man1
done
install %{SOURCE9} $RPM_BUILD_ROOT%{_mandir}/pl/man1/mktemp.1
# unwanted (-f left intentionally - some manuals could have no translations)
rm -f $RPM_BUILD_ROOT%{_mandir}/*/man1/{hostname,kill,uptime}.1
# always remove, never packaged but sometimes installed
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS THANKS-to-translators TODO
%attr(755,root,root) /bin/[!s]*
%attr(755,root,root) /bin/s[!u]*
%attr(4755,root,root) /bin/su
%attr(755,root,root) /sbin/runuser
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/chroot
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/DIR_COLORS
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/su
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/su-l
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/runuser
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/runuser-l
%config(noreplace) /etc/shrc.d/fileutils.*sh
%dir %{_libdir}/coreutils
%attr(755,root,root) %{_libdir}/coreutils/libstdbuf.so
%{_mandir}/man1/*
%lang(cs) %{_mandir}/cs/man1/*
%lang(da) %{_mandir}/da/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(fr) %{_mandir}/fr/man1/*
%lang(hu) %{_mandir}/hu/man1/*
%lang(id) %{_mandir}/id/man1/*
%lang(it) %{_mandir}/it/man1/*
%lang(ja) %{_mandir}/ja/man1/*
%lang(ko) %{_mandir}/ko/man1/*
%lang(nl) %{_mandir}/nl/man1/*
%lang(pl) %{_mandir}/pl/man1/*
%lang(pt) %{_mandir}/pt/man1/*
%lang(ru) %{_mandir}/ru/man1/*
%lang(zh_CN) %{_mandir}/zh_CN/man1/*
%{_infodir}/coreutils.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: coreutils.spec,v $
Revision 1.175.2.3  2011/10/12 08:05:57  glen
- enable inotify support in tail

Revision 1.175.2.2  2011/04/04 09:13:45  glen
- bugfix

Revision 1.175.2.1  2011/04/04 08:15:56  glen
- revert r1.130 to allow older util-linux

Revision 1.175  2011/04/04 06:28:41  glen
- always nuke info/dir

Revision 1.174  2011/04/03 20:21:42  glen
- tests: misc/fmt: disable just the broken test
- gnulib-tests: do not use /etc/resolv.conf for read test
- make -j1 for racy tests

Revision 1.173  2011/04/03 19:34:24  glen
- fix runuser test (updated from fedora)
- disable some other broken tests
- spec cosmetics

Revision 1.172  2011/02/21 18:51:15  qboosh
- bcond descs

Revision 1.171  2011/02/11 07:17:11  arekm
- up to 8.10

Revision 1.170  2011/01/09 14:11:19  qboosh
- updated to 8.9
- updated pl.po-update patch from TP
- updated info,fmt-wchars,advcopy patches

Revision 1.169  2010/11/15 18:25:44  arekm
- up to 8.7

Revision 1.168  2010/10/23 19:38:15  qboosh
- back to rm -f for translated man pages (no kill(1) pages currently)

Revision 1.167  2010/10/23 17:47:42  qboosh
- pl.po-update patch is back (updated from TP)

Revision 1.166  2010/10/17 19:53:52  arekm
-up to 8.6; really run tests; po pl patch merged upstream

Revision 1.165  2010/05/17 13:31:18  baggins
- rel 3
- give pam_xauth a chance to work (yea, it must be before pam_unix)

Revision 1.164  2010/05/08 17:18:13  qboosh
- updated info,pl.po-update patches
- disable silent-rules
- release 2

Revision 1.163  2010/04/24 13:03:45  arekm
- up to 8.5

Revision 1.162  2010/03/28 20:35:30  arekm
- release 3

Revision 1.161  2010/02/21 18:21:22  arekm
- new tar supports xz

Revision 1.160  2010/01/26 11:51:44  shadzik
- kill bar bcond

Revision 1.159  2010/01/25 14:51:42  paszczus
- added bcond bar (disabled by default) for Patch14: advcopy.patch from http://www.beatex.org/web/advancedcopy.html which adds progress bar to cp command

Revision 1.158  2010/01/25 14:42:26  paszczus
- updated BR: automake 1.11.1

Revision 1.157  2010/01/14 19:21:28  arekm
- up to 8.4

Revision 1.156  2010/01/09 22:54:23  arekm
- up to 8.3

Revision 1.155  2009/12/12 16:18:35  amateja
- updated to 8.2

Revision 1.154  2009/11/19 22:07:56  arekm
- up to 8.1

Revision 1.153  2009/09/12 18:31:21  arekm
- up to 7.6

Revision 1.152  2009/08/24 21:38:41  glen
- missing dir and proper perms

Revision 1.151  2009/08/21 13:37:51  amateja
- updated to 7.5

Revision 1.150  2009/08/06 12:16:50  arekm
- rel 2; avoid hangs in stty

Revision 1.149  2009/05/17 20:52:05  arekm
- up to 7.4

Revision 1.148  2009/05/03 13:36:08  hawk
- release 2

Revision 1.147  2009/04/30 18:09:14  gotar
- %config(noreplace) for shrc.d files

Revision 1.146  2009/04/01 10:26:59  arekm
- up to 7.2

Revision 1.145  2009/03/09 15:39:27  baggins
- rel 2
- move stat to /bin for rc-scripts

Revision 1.144  2009/02/22 23:48:55  arekm
- up to 7.1 (stable)

Revision 1.143  2008/09/29 21:23:16  arekm
- rel 3; try to workaround utimens problems on older kernels

Revision 1.142  2008/08/28 22:46:09  qboosh
- added pl.po-update patch

Revision 1.141  2008/08/09 21:45:41  arekm
- rel 2

Revision 1.140  2008/08/08 14:40:29  arekm
- rel 1

Revision 1.139  2008/08/08 08:27:26  arekm
- make sure it won't go to builders without fixing patch8

Revision 1.138  2008/08/08 07:35:40  arekm
- partial update to 6.12

Revision 1.137  2008/06/25 08:05:16  patrys
- remerged su and runuser (pam fixed)
- added runuser to description
- rel 5

Revision 1.136  2008/06/25 07:26:21  patrys
- add C: for old rc-scripts
- rel 4

Revision 1.135  2008/06/24 20:15:21  patrys
- split subpackage for su and runuser to remove circular dependency between pam and coreutils
- rel 3

Revision 1.134  2008-04-11 19:04:10  tommat
- added stupid workaround to build for sparc64

Revision 1.133  2008-03-08 14:58:48  qboosh
- probably needs tukaani lzma version for -dc, so BR >= 1:4.42

Revision 1.132  2008-03-02 22:05:40  arekm
- rel 2; versioned mktemp provides

Revision 1.131  2008-03-02 19:40:25  qboosh
- install mktemp as /bin/mktemp

Revision 1.130  2008-03-02 18:30:37  qboosh
- updated to 6.10 (GPL v3, lzma source)
- updated info,pam,getgid,install-C,po,runuser patches
- removed obsolete no-nb,selinux,pl.po-update,futimens patches
- SELinux support is upstream now
- enable arch(1) command (removed from util-linux since 2.13pre7)
- new mktemp(1) command replaces separate package (P+O added)
- needs some testing

Revision 1.129  2008-01-24 01:36:30  glen
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

Revision 1.128  2008-01-06 20:17:02  qboosh
- BR find_lang 1.24 to package LC_TIME category catalog symlinks
- GPL v2+

Revision 1.127  2007-05-18 12:20:11  sparky
- added futimens patch (fixes build with glibc 2.6)

Revision 1.126  2007/04/19 13:52:05  baggins
- rel 2
- fixed su.pamd (use_uid added to pam_wheel)

Revision 1.125  2007/04/04 11:49:44  qboosh
- fixed pl.po encoding in pam patch

Revision 1.124  2007/04/04 11:22:03  qboosh
- added pl.po-update patch (pl.po update from GNU TP)
- updated runuser patch to include pl.po entries

Revision 1.123  2007/03/28 12:24:51  baggins
- rel 1
- install runuser by hand

Revision 1.122  2007/03/27 15:25:48  baggins
- updated patches
- added runuser program
- split su and runuser pam configs for login simulation

Revision 1.121  2007/03/25 00:26:17  arekm
- start work on 6.9

Revision 1.120  2007/02/13 16:35:01  qrczak
- Changed the meaning of -n: it only sets the space between sentences,
  it doesn't imply -u.
- Release 3

Revision 1.119  2007/02/13 15:59:04  qrczak
- coreutils-fmt-wchars.patch: Added support for multibyte encodings
  and wcwidth. Added -n / --single-spacing option, which is like -u
  but uses a single space between sentences.
- Release 2

Revision 1.118  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.117  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.116  2007/02/05 12:24:23  arekm
- rel 1

Revision 1.115  2006/12/11 22:10:30  arekm
- rel 0.2; use glibc mkdirat, fchmodat, fchownat functions; fix repeated -bi --short-circuit installs

Revision 1.114  2006/12/09 19:31:19  qboosh
- updated to 6.7 (cp -p/mv fixes, somehow related to security)
- added pl.po-update patch, updated selinux patch

Revision 1.113  2006/12/08 14:15:06  qboosh
- merged update to 6.6 from DEVEL

Revision 1.112  2006/11/02 15:33:04  sparky
- reverted, wrong branch

Revision 1.111  2006/11/02 15:31:21  sparky
- BR: gettext-devel >= 0.16-2

Revision 1.110  2006/11/01 00:16:05  sparky
- fix build with glibc 2.5 (tee() declared in fnctl.h)

Revision 1.109.2.9  2006/11/26 22:51:07  qboosh
- up to 6.6, pl.po-update patch currently obsolete

Revision 1.109.2.8  2006/11/24 17:42:26  qboosh
- cleanup, removed obsolete gettext-m4,euidaccess patches

Revision 1.109.2.7  2006/11/22 13:25:28  qboosh
- updated po patch is back

Revision 1.109.2.6  2006/11/22 09:59:10  qboosh
- up to 6.5
- updated pl.po-update,getgid,selinux patches

Revision 1.109.2.5  2006/11/02 15:33:41  sparky
- BR: gettext-devel >= 0.16-2

Revision 1.109.2.4  2006/10/31 23:54:54  sparky
- selinux patch updated, testers needed

Revision 1.109.2.3  2006/10/31 21:10:15  sparky
- po patch not needed anymore, acl support already in source

Revision 1.109.2.2  2006/10/24 20:31:48  qboosh
- up to 6.4, updated install-C patch

Revision 1.109.2.1  2006/10/18 18:41:44  qboosh
- started update to 6.3, WIP, still needs some work to make it build
- updated info,pam,getgid,install-C patches

Revision 1.109  2006/08/23 08:05:21  havner
- no 755 in /etc/shrc.d

Revision 1.108  2006/05/30 18:36:39  blues
- release 9 - logging works

Revision 1.107  2006/05/30 17:28:36  blues
- enable logging of su successes and fails, not tested yet

Revision 1.106  2006/02/12 14:00:12  pluto
- build fix for glibc-2.4/gcc-4.x, testing...

Revision 1.105  2006/01/05 20:32:08  pluto
- release 7.1 for rebuild with new Th's glibc (glibc symbol versioning issue).

Revision 1.104  2005/12/12 15:19:32  glen
- adapterized (sorted %verify flags)

Revision 1.103  2005/10/27 09:50:35  glen
- add URL

Revision 1.102  2005/09/23 10:15:51  pluto
- release 7 (rebuild with new binutils+libselinux / SDA_BASE issue).

Revision 1.101  2005/04/22 10:09:33  mmazur
- rel 6 (builds with new gettext)

Revision 1.100  2005/04/16 20:18:32  sparky
- fixed build with new gettext

Revision 1.99  2005/03/23 20:02:36  qboosh
- braino: one -pam patch is enough

Revision 1.98  2005/03/23 16:01:46  adamg
- braino in previous commitlog

Revision 1.97  2005/03/23 15:57:55  adamg
- added missing setfsgid() call in pam.patch from romke (romke (at) estrefa.pl)
- release 5

Revision 1.96  2005/01/15 23:32:02  averne
- rel 4 for Ac

Revision 1.95  2004/12/25 18:04:55  qboosh
- automake epoch

Revision 1.94  2004/10/08 19:17:47  undefine
- ups, stupid and not tested.. don't think about princess when commit!
  revert last change

Revision 1.93  2004/10/02 22:03:35  undefine
- move xargs to /bin (after discussion on pld-devel-pl:
  http://lists.pld-linux.org/pipermail/pld-devel-pl/2004-September/000760.html)
- release 3

Revision 1.92  2004/07/10 15:03:50  havner
- 755 for /etc/shrc.d

Revision 1.91  2004/07/10 11:26:58  qboosh
- killed fix-info-dir dep once again (it was /bin/sh problem)

Revision 1.90  2004/06/19 13:16:17  pluto
- PreReq(fix-info-dir).

Revision 1.89  2004/05/07 14:37:32  qboosh
- release 1

Revision 1.88  2004/04/29 13:17:42  qboosh
- [ is now separate program, not symlink to test; release 0.6

Revision 1.87  2004/04/29 08:57:57  adgor
- No 755 for /etc/shrc.d/*

Revision 1.86  2004/04/28 14:25:48  qboosh
- remove stamp-po to rebuild pl.gmo

Revision 1.85  2004/04/28 13:47:47  qboosh
- updated selinux patch
- dropped noposix2 patch (DEFAULT_POSIX2_VERSION is used instead)
- builds now, test release 0.5

Revision 1.84  2004/04/28 11:59:26  havner
- R: setup >= 2.4.6-2
- fileutils.sh,fileutils.csh -> /etc/shrc.d
- rel up

Revision 1.83  2004/04/28 10:38:45  qboosh
- renamed and updated acl patch, removed obsolete lsw,nanosleep patches

Revision 1.82  2004/04/27 15:22:51  qboosh
- po patch updated

Revision 1.81  2004/04/27 14:14:32  qboosh
- removed obsolete utmp patch; more pending for update

Revision 1.80  2004/03/22 15:52:37  arekm
- kill kill manual

Revision 1.79  2004/03/18 16:22:48  qboosh
- updated pam,getgid patches; updated BRs: ac 2.58, am 1.8

Revision 1.78  2004/03/18 15:55:58  qboosh
- updated info patch, added pl.po-update patch (from GNU TP)
- default to POSIX2 version 1992.09 (to support obsolete head/tail/sort syntax)

Revision 1.77  2004/03/18 07:41:53  cieciwa
- off patches needed update

Revision 1.76  2004/03/18 07:25:54  cieciwa
- started updating to version 5.2.1,
- release 0.1,
- updated MD5 sum.

Revision 1.75  2004/02/25 10:19:31  qboosh
- ugh, fixed buggy bugfix; release 12

Revision 1.74  2004/02/25 09:30:23  qboosh
- fixed selinux patch (some progs were broken in procless env); release 11

Revision 1.73  2004/02/11 12:25:11  qboosh
- Conflicts: tetex < 1:2.0.2 (/usr/bin/readlink conflict)

Revision 1.72  2004/01/22 10:21:53  qboosh
- BR: gcc 3.2 for SELinux (selinux patch introduces C99 usage)

Revision 1.71  2004/01/21 21:10:03  qboosh
- release 10 (after docs work)

Revision 1.70  2004/01/20 13:25:14  qboosh
- updated info patch to restore "groups" docs

Revision 1.69  2004/01/20 12:55:11  qboosh
- merged non-english-man-pages into one tarball and updated
- added "why no wheel" man sections removal to pam patch

Revision 1.68  2004/01/19 16:12:13  qboosh
- added groups to descriptions, Conflicts with shadow with groups; NFY

Revision 1.67  2004/01/19 13:08:53  qboosh
- updated no-nb patch and prep to follow glibc 2.3.3 change (no_NO -> nb_NO)
- release 9

Revision 1.66  2004/01/14 14:06:34  qboosh
- added noposix2 patch to allow obsolete head/tail syntax; release 8

Revision 1.65  2004/01/10 01:18:09  undefine
- move printf to /bin directory - it's used by rc-scripts, release 7

Revision 1.64  2004/01/08 11:45:12  arekm
- move some utils back to coreutils/util-linux to make shadow more compatible with pwdutils

Revision 1.63  2003/12/29 00:58:20  qboosh
- modified acl,lsw,selinux patches, removed obsolete ls-missing hack
- added nanosleep patch for new ac madness
- release 6

Revision 1.62  2003/12/27 11:49:00  arekm
- use latest version of selinux patch

Revision 1.61  2003/12/27 02:46:42  arekm
- enable selinux by default

Revision 1.60  2003/12/22 16:07:25  adasi
- fix on amd64, ugly but working

Revision 1.59  2003/12/08 11:01:20  wrobell
- attr-devel is _required_ by acl-devel

Revision 1.58  2003/12/08 10:58:25  yoshi
- Added missing BR: attr-devel.
- Tested on *devel* free system, it builds.

Revision 1.57  2003/12/01 16:02:17  qboosh
- added lsw patch (fix for ls -w memory consumption and int overflow - CAN-2003-0853, CAN-2003-0854)
- new-style bcond, release 3

Revision 1.56  2003/10/09 10:04:17  qboosh
- reverted Requires(): fix-info-dir, it was problem with shell installation

Revision 1.55  2003/09/26 14:01:52  baggins
- release 2
- req pam >= 0.77.3

Revision 1.54  2003/09/04 21:50:31  adamg
- added missing R(post,preun): fix-info-dir

Revision 1.53  2003/08/25 09:52:59  mmazur
- rel 1 for ac

Revision 1.52  2003/08/06 16:49:46  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.51  2003/06/20 10:24:23  michuz
- br libselinux instead of selinux

Revision 1.50  2003/06/06 12:19:20  qboosh
- updated feedback address

Revision 1.49  2003/06/06 01:34:58  michuz
- fixed bcond BR selinux-libs-static

Revision 1.48  2003/06/02 15:18:32  ankry
- added/changed non-english-man-pages URL

Revision 1.47  2003/05/29 10:58:36  adgor
- Removed bad url

Revision 1.46  2003/05/29 10:39:15  adgor
- Fixed md5sum for Source2

Revision 1.45  2003/05/28 06:33:13  michuz
- typo

Revision 1.44  2003/05/28 06:31:38  michuz
- rel 0.10
- added bcond selinux support

Revision 1.43  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.42  2003/05/25 05:46:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.41  2003/04/07 18:54:43  qboosh
- removed obsolete pl.po-update (ufff...) and jmfix patches
- updated install-C and po patches
- test release 0.9

Revision 1.40  2003/04/06 16:31:21  areq
- 5.0, NFY - po patches volunteers needed

Revision 1.39  2003/03/28 23:30:51  ankry
- cosmetics

Revision 1.38  2003/03/24 15:48:48  misiek
- added ACL support

Revision 1.37  2003/03/19 21:19:26  qboosh
- 4.5.10, updated pl.po-update and po patches
- added jmfix patch (temporary fix for missing stubs)

Revision 1.36  2003/03/09 15:30:33  qboosh
- updated po patch
- ac_fix patch seems no longer needed, BR: autoconf 2.56
- release 1

Revision 1.35  2003/03/08 23:29:42  qboosh
- updated pl.po-update (basing on new official rzm's translation), utmp and
  install-C patches

Revision 1.34  2003/03/06 22:44:54  qboosh
- 4.5.9 started
- updated info patch

Revision 1.33  2003/03/03 17:13:27  areq
- 4.5.8, NFY, commented patches need check/update

Revision 1.32  2003/02/24 18:37:24  radek
- BR: pam-devel

Revision 1.31  2003/02/21 13:39:06  qboosh
- lg locales are back (now supported by glibc)

Revision 1.30  2003/02/20 11:50:05  qboosh
- remove lg locale, not supported by glibc

Revision 1.29  2003/01/31 14:49:34  qboosh
- replaced outdated no locale with more fresh nb, don't build nb locale
  (just an alias for no in glibc) - new no-nb patch
- release 2

Revision 1.28  2003/01/19 01:37:40  qboosh
- 4.5.4, updated pl.po-update and po patches

Revision 1.27  2002/12/09 23:21:02  qboosh
- ughrrr...  getgid was missing - fixed
- changed install process to reduce possibility of missing something new
- release 3

Revision 1.26  2002/12/07 23:49:18  ankry
- fix improper usage of %{_sysconfdir}

Revision 1.25  2002/11/28 03:55:11  baggins
- release 2
- DIR_COLORS back to good old colors

Revision 1.24  2002/11/01 17:07:55  qboosh
- new gettext and texinfo required

Revision 1.23  2002/11/01 02:01:07  qboosh
- added pl.po-update patch (self-explaining), merged po patch from fileutils
- added pl.po updates to pam,getgid,install-C patches (they add messages)
- release 1

Revision 1.22  2002/10/29 17:37:18  qboosh
- change uname -o to "PLD Linux"

Revision 1.21  2002/10/28 20:52:16  qboosh
- updated TODO list (all other patches from *utils >/dev/null - not needed,
  already fixed in other places, or were disabled because of problems)

Revision 1.20  2002/10/28 11:04:33  qboosh
- clear solution for inttypes.m4 problem (it was filename conflict)

Revision 1.19  2002/10/27 22:17:21  qboosh
- more ginstall fixes (localized manuals)
- pam patch: removed linking with -lcrypt when PAM is used, prepared for NLS
- +getgid patch from sh-utils (with en,pl man pages, NLS-ready)
- +utmp patch from sh-utils
- +su-paths patch (paths patch from sh-utils with X11R6 paths updated)
- +cpuinfo-uname patch (cpuinfo patch from sh-utils)
- +date-man patch (dateman patch from sh-utils, but for date.x; BR: help2man)
- +mem patch from textutils
- +install-C patch (C patch from fileutils w/o man update (help2man will do it))

Revision 1.18  2002/10/27 18:27:23  qboosh
- added non-english-man-pages and DIR_COLORS+scripts from *utils
- removed ginstall (it was fake target), install is true binary again
- added proper %config for pam.d/su

Revision 1.17  2002/10/20 21:55:43  qboosh
- added info patch; more to go

Revision 1.16  2002/10/19 20:56:49  malekith
- aye.. thinko

Revision 1.15  2002/10/19 20:52:35  malekith
- bleh... %exclude doesn't work the way I thought
- release 0.8

Revision 1.14  2002/10/19 19:32:50  malekith
- cleanup files (using %exclude)

Revision 1.13  2002/10/19 19:04:15  mmazur
- I think %install is finaly finished (su works so you can use it)
- now all I have left is to check all the patches from *utils

Revision 1.12  2002/10/19 18:18:34  mmazur
- BR: gettext-devel & no libtoolize (what for?)

Revision 1.11  2002/10/19 18:09:23  mmazur
- pam with su works
- ac/am works

Revision 1.10  2002/10/19 09:39:21  mmazur
- fixed conflicting man pages... this should be ready for use

Revision 1.9  2002/10/18 19:21:56  mmazur
- + one binary & two symlinks... rel 0.3

Revision 1.8  2002/10/16 12:37:36  cieciwa
- added PAM file for su.

Revision 1.7  2002/10/16 11:40:02  cieciwa
- release 0.2,
- added PAM support for su,
- added BR: autoconf >= 2.54; automake >= 1.7.

Revision 1.6  2002/10/16 09:19:43  qboosh
- updated to 4.5.3, added important TODO

Revision 1.5  2002/10/16 08:42:49  qboosh
- cleanups, added URL
- removed utils that we have in other packages:
  groups (shadow), hostname (net-tools), kill (util-linux), uptime (procps)

Revision 1.4  2002/10/16 08:28:13  cieciwa
- release 0.2,
- fixed install proces,
- ready to test.

Revision 1.3  2002/10/15 07:27:02  cieciwa
- ON going: installation proces - NFY !!!!

Revision 1.2  2002/10/11 19:22:15  mmazur
- started some work

Revision 1.1  2002/09/24 23:03:11  cieciwa
- release 0.1,
- initial - NFY.
